> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve An Event

Get a single event by its ID.


## OpenAPI

````yaml GET /api/v1/events/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/events/{id}:
    get:
      summary: GET events
      operationId: get_events_self
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/events'
          description: OK
components:
  schemas:
    events:
      properties:
        $uri:
          example: /api/v1/events/0d77065796f8d173
          pattern: ^/api/v1/events/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        payload:
          additionalProperties: true
          description: The webhook payload.
          title: Payload
          type: object
        status:
          description: The status of the webhook for the event.
          enum:
            - success
            - failed
            - pending
            - retryable
          title: Status
          type: string
      required:
        - $uri
        - payload
        - status
      title: events
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````